<template>
  <tag @click="modals.show('picker', $event)" class="cursor-pointer select-none hover:bg-gray-100">
    <i class="hero minus-circle solid mr-2 text-blue-500"></i>
    <div class="text-gray-700">Add deadline</div>
    <picker :task="task"></picker>
  </tag>
</template>

<script lang=ts>
import Picker from "../Picker.vue";
import Tag from "@/components/Tag.vue";
import { hasModals } from "@/use/modal";
import Task from "@/models/Task";

const modals = hasModals({ Picker });

export default {
  components: { ...modals.components, Tag },
  props: {
    task: {
      type: Task,
      required: true,
    },
  },
  setup() {
    return {
      modals,
    };
  },
};
</script>